Subject: Re: Customer Service Advisor - Ma. Belen Bermachea applied on Indeed
From: "Ma. Belen Bermachea" <[email-masked]>
To: CHERRY E COMMERCE SERVICES P LTD <[email-masked]>
Date: Tue, 26 Oct 2021 19:39:45 -0500 (CDT)

Hi Harpreet... Good morning from the Philippines! Thank you for noticing my application. I am sorry for not being able to answer quickly when you sent me the email. I was occupied. Anyways, can I still apply? Is the position still open? I saw in Indeed that the position is already closed. I hope you can give me a chance and hopefully, I can be part of your company. Thank you so much!

Suspect spam or fraud?
Report this message to Indeed <https://www.indeed.com/feedback?contentId=&lt;[email-masked]&gt;>

By replying or using an indeedemail.com email address, you agree that this conversation will be processed and analyzed according to the Indeed Cookie Policy <https://www.indeed.com/legal?hl=en&amp;co=PH#cookies>, Privacy Policy <https://www.indeed.com/legal?hl=en&amp;co=PH#privacy>, and Terms of Service <https://www.indeed.com/legal?hl=en&amp;co=PH#tos>.